org.richfaces.component

## Enum AutocompleteMode

- java.lang.Object
- - java.lang.Enum<AutocompleteMode>
  - - org.richfaces.component.AutocompleteMode

- All Implemented Interfaces:
    Serializable, Comparable<AutocompleteMode>

      public enum AutocompleteMode
      extends Enum<AutocompleteMode>

  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ajax`
    `cachedAjax`
    `client`
    `lazyClient`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AutocompleteMode` | `DEFAULT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AutocompleteMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AutocompleteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### client

          public static final AutocompleteMode client

    - #### lazyClient

          public static final AutocompleteMode lazyClient

    - #### ajax

          public static final AutocompleteMode ajax

    - #### cachedAjax

          public static final AutocompleteMode cachedAjax

  - ### Field Detail

    - #### DEFAULT

          public static final AutocompleteMode DEFAULT

  - ### Method Detail

    - #### values

          public static AutocompleteMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AutocompleteMode c : AutocompleteMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AutocompleteMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.